#!/bin/bash

# initial script -- just to know which image is a darkframe



# creating pgm files
dcraw -v -D -4 *.cr2 

for G in *.cr2
 do 
  F=${G/.cr2}
  # exif extraction by dcraw, just to see the difference:
  dcraw -v -i $G >${F}d.txt 
  # exif extraction by exiftool (to 1e.txt and 2e.txt):
  exiftool $G >$F.txt 
  # making a table, eps file and a wrong false-colour image:
  raw2lum  -n $F.ppm -e $F.eps -s64 -i $F.txt $F.pgm \
          >$F.tab 
  # converting ppm to png and discarding the ppm:
  convert $F.ppm $F.png ; rm $F.ppm

  ##BoundingBox: 0 0  3522 2348   
  #  is to be nade twice smaller, as well as eps itself:
  sed '2 s/3522 2348/1761 1174 \
   0.5 dup scale/'  $F.eps >/tmp/n2.eps
  # and now the grid can be stacked onto the png: 
  composite -compose Multiply /tmp/n2.eps $F.png ${F}g.png
 done
