#!/bin/bash

# processing the non-darkframe; unfortunately, darkframe 2.cr2 
#  does not match the image by its exposure parameters

for G in 1.cr2
 do 
  F=${G/.cr2}
  # making a table, eps file and a false-colour image:
  raw2lum  -n $F.ppm -e $F.eps -s64 -i $F.txt -d 2.pgm -sm30:64 -fa $F.pgm \
          >$F.td 
  # converting ppm to png and discarding the ppm:
  convert $F.ppm $F.png ; rm $F.ppm

  ##BoundingBox: 0 0  3522 2348   
  #  is to be nade twice smaller, as well as eps itself:
  sed '2 s/3522 2348/1761 1174 \
   0.5 dup scale/'  $F.eps >/tmp/n2.eps
  # and now the grid can be stacked onto the png: 
  composite -compose Multiply /tmp/n2.eps $F.png ${F}g.png
 done
